main {
    justify-content: start;
    overflow: auto;
    align-items: normal;
}

.titulo_produtos {
    margin: 0;
    font-size: 18px;
    color: black;
    font-weight: 600;
}

.container_desafio_meta {
    display: flex;
    flex-direction: column;
    padding: 1rem;
    padding-bottom: 5rem;
    flex: 1;
}

.container_dados_biblioteca {
    display: flex;
    justify-content: space-between;
    gap: 0.8rem;
    flex-direction: column;
}

.div_dados_biblioteca {
    background-color: white;
    color: black;
    padding: 0.6rem;
    border-radius: 10px;
    border: 1px solid #0000003b;
    flex: 1;
}

.titulo_dados_biblioteca {
    font-size: 18px;
    margin: 0;
    font-weight: 400;
}

.dados_biblioteca {
    font-size: 20px;
    margin: 0;
    font-weight: 600;
}

.container_produtos {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    margin-top: 1rem;
}

.container_card {
    flex: 1;
    min-width: 300px;
}

.card_produtos {
    width: 100%;
    position: relative;
    display: flex;
}

.img_produtos {
    height: 100%;
    width: 100%;
    border-radius: 10px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
}

.texto_produto {
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    top: 0;
}

.div_descricao_produto {
    background-color: white;
    padding: 0.4rem;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.descricao_produto {
    font-size: 18px;
    font-weight: 500;
    margin: 0;
    color: black;
}

.descricao_produto_preco {
    font-size: 14px;
    font-weight: 400;
    margin: 0;
    color: #71717A;
}

.container_progresso {
    display: flex;
    flex-direction: column;
}

.div_progresso {
    display: flex;
    color: black;
    justify-content: space-between;
}

.texto_progresso {
    margin: 0;
    font-size: 14px;
    font-weight: 400;
}

.range-black {
    -webkit-appearance: none;
    width: 100%;
    height: 8px;
    border-radius: 4px;
    background: linear-gradient(to right, black 0%, #ccc 0%);
    outline: none;
    margin: 0;
    padding: 0;
}

.range-black::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 0;
    height: 0;
    background: transparent;
    border: none;
}

.range-black::-moz-range-thumb {
    width: 0;
    height: 0;
    background: transparent;
    border: none;
}

.div_acoes_principais {
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.div_acoes_conteudo {
    display: flex;
    gap: 0.6rem;
}

.btn_ler {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    white-space: nowrap;
    font-size: 0.875rem;
    font-weight: 500;
    outline: none;
    height: 2rem;
    border-radius: 0.375rem;
    background-color: black;
    color: white;
    font-family: "Poppins", sans-serif;
    border: 1px solid rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    flex: 1;
}

.btn_outros {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    white-space: nowrap;
    font-size: 1rem;
    font-weight: 500;
    outline: none;
    height: 2rem;
    flex: 1;
    border-radius: 0.375rem;
    border: 1px solid #e4e4e7;
    background-color: #ffffff;
    color: black;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
}

.container_desafios {
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.6rem;
}

.div_desafios_livros {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.div_citacao {
    margin-top: 1rem;
}

.container_citacoes {
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.div_citacoes {
    display: flex;
    flex-direction: column;
    align-items: start;
    border-left: 2px solid blue;
    padding-left: 1rem;
    gap: 0.4rem;
}

.texto_citacao {
    display: flex;
    flex-direction: column;
}

#form_avaliacao {
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.6);
    z-index: 9999;
    display: none;
}

.div_avaliacao {
    max-width: 400px;
    background: white;
    padding: 20px;
    border-radius: 10px;
    position: relative;
    color: black;
    width: 100%;
    margin: 1rem;
}

.titulo_avaliacao {
    margin-top: 0;
    margin-bottom: 0.8rem;
}

#estrelas-avaliacao {
    margin-bottom: 0.8rem;
}

.label_comentario {
    margin-top: 10px;
    display: block;
}

#comentario {
    width: 100%;
    resize: none;
    border-radius: 10px;
    padding: 0.4rem;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.fa-star {
    color: #ffda00;
    font-size: 28px;
}

.barra_progresso {
    -webkit-appearance: none;
    width: 100%;
    height: 8px;
    border-radius: 10px;
    background: #e6e6e6;
    outline: none;
    pointer-events: none;
}

.barra_progresso::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 0;
    height: 0;
}

.barra_progresso::-moz-range-thumb {
    width: 0;
    height: 0;
    border: none;
}

.barra_progresso::-webkit-slider-runnable-track {
    height: 8px;
    border-radius: 10px;
    background: transparent;
}

.barra_progresso::-moz-range-track {
    height: 8px;
    border-radius: 10px;
    background: linear-gradient(to right, #1a1a1a 43%, #e6e6e6 43%);
}

.tabs-container {
    display: flex;
    justify-content: space-between;
    background-color: #d3d3d3;
    border-radius: 10px;
    padding: 0.4rem;
    border-radius: 10px;
    margin-top: 1rem;
}

.tab-btn {
    background: none;
    border: none;
    padding: 0.4rem;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    color: #000;
    background-color: transparent;
    transition: 0.2s;
    flex: 1;
}

.tab-btn.active {
    background-color: white;
}




#estrelas .estrela {
    color: #ccc;
    margin: 0 5px;
    transition: color 0.2s;
    font-size: 24px;
}

#estrelas .estrela.ativa {
    color: gold;
}

.estrela{
    cursor: pointer;
}

.textarea_avaliacao{
    width: 100%;
    resize: none;
    border: 1px solid rgba(128, 128, 128, 0.4);
    border-radius: 10px;
    padding: 0.4rem;
}

.btn-enviar-avaliacao {
    background: linear-gradient(90deg, #00c853, #2196f3);
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 8px;
    font-weight: 500;
    font-size: 14px;
    cursor: pointer;
    transition: opacity 0.3s ease;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.btn-enviar-avaliacao:hover {
    opacity: 0.9;
}